Source: libobject-pluggable-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
           Ansgar Burchardt <ansgar@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl,
                     libtask-weaken-perl,
                     libtest-pod-perl,
                     libtest-pod-coverage-perl
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libobject-pluggable-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libobject-pluggable-perl.git
Homepage: https://metacpan.org/release/Object-Pluggable

Package: libobject-pluggable-perl
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         libtask-weaken-perl
Description: base class for creating plugin enabled objects
 Object::Pluggable is a base class for creating plugin enabled objects.
 It is a generic port of POE::Component::IRC's plugin system. If your
 component dispatches events to listeners, then Object::Pluggable may
 be a good fit for you.
